Bug 355811 - (SDL_sound) Review Request: SDL_sound - Library handling decoding of several popular sound file formats
Review Request: SDL_sound - Library handling decoding of several popular soun...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 08:38 EDT by Hans de Goede
Modified: 2008-04-18 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chris.stone: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-28 08:38:13 EDT
Spec URL: http://people.atrpms.net/~hdegoede/SDL_sound.spec
SRPM URL: http://people.atrpms.net/~hdegoede/SDL_sound-1.0.1-7.fc8.src.rpm
Description:
SDL_sound is a library that handles the decoding of several popular sound file
formats, such as .WAV and .MP3.

It is meant to make the programmer's sound playback tasks simpler. The
programmer gives SDL_sound a filename, or feeds it data directly from one of
many sources, and then reads the decoded waveform data back at her leisure.
If resource constraints are a concern, SDL_sound can process sound data in
programmer-specified blocks. Alternately, SDL_sound can decode a whole sound  
file and hand back a single pointer to the whole waveform. SDL_sound can 
also handle sample rate, audio format, and channel conversion on-the-fly
and behind-the-scenes, if the programmer desires.
Comment 1 Christopher Stone 2007-10-28 15:45:00 EDT
I am getting the following rpmlint warnings:
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /lib64/libpthread.so.0
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /lib64/libdl.so.2
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /usr/lib64/libvorbis.so.0
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /usr/lib64/libvorbisenc.so.2

Can you please look into these?  Also, you may consider replacing "MP3" with
"OGG" in the %description.

Comment 2 Hans de Goede 2007-10-28 16:22:39 EDT
(In reply to comment #1)
> I am getting the following rpmlint warnings:
> SDL_sound.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libSDL_sound-1.0.so.1.0.0 /lib64/libpthread.so.0

Caused by sdl-config --libs, harmless as its really needed by SDL

> SDL_sound.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libSDL_sound-1.0.so.1.0.0 /lib64/libdl.so.2

Caused by libmikmod-config --libs, harmless as its really needed by mikmod

> SDL_sound.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libSDL_sound-1.0.so.1.0.0 /usr/lib64/libvorbis.so.0

Caused by pkg-config --libs vorbisfile, once more harmless

> SDL_sound.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libSDL_sound-1.0.so.1.0.0 /usr/lib64/libvorbisenc.so.2
> 

That really shouldn't be there, fixed.

> Can you please look into these?  Also, you may consider replacing "MP3" with
> "OGG" in the %description.
> 

Done:
Spec URL: http://people.atrpms.net/~hdegoede/SDL_sound.spec
SRPM URL: http://people.atrpms.net/~hdegoede/SDL_sound-1.0.1-8.fc8.src.rpm
Comment 3 Christopher Stone 2007-10-28 17:32:51 EDT
==== REVIEW CHECKLIST ====
- rpmlint output:
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /lib64/libpthread.so.0
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /lib64/libdl.so.2
SDL_sound.x86_64: W: unused-direct-shlib-dependency
/usr/lib64/libSDL_sound-1.0.so.1.0.0 /usr/lib64/libvorbis.so.0

These are okay, see comment #2
- package named according to package naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package license meets license guidelines
- license matches actual license
- license included in %doc
- spec written in American english
- spec file legible
- source matches upstream
$ diff -ur SDL_sound-1.0.1 ../SOURCES/SDL_sound-1.0.1
<no output>
- package successfully compiles and builds on F-7 x86_64
- all build dependencies listed in BR
- no locales
- proper use of ldconfig
- package not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- contains proper %clean
- macro usage consistent
- contains code
- no large documentation files
- files in %doc do not affect runtime
- header files in devel subpackage
- no static libraries
- no pkgconfig files
- library files without suffix in devel subpackage
- devel package requires base package
- no libtool archives
- not a GUI application
- package does not own files or directories owned by other packages
- buildroot removed at beginning of %install
- all filenames are UTF-8

*** APPROVED ***
Comment 4 Hans de Goede 2007-10-29 03:32:00 EDT
New Package CVS Request
=======================
Package Name:      SDL_sound
Short Description: Library handling decoding of several popular sound file formats
Owners:            j.w.r.degoede@hhs.nl
Branches:          F-7 F-8 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 5 Hans de Goede 2007-10-29 03:49:26 EDT
<oops, again using FAS username (its 8u30 over here, and I still need to finish
my first coffee).>

New Package CVS Request
=======================
Package Name:      SDL_sound
Short Description: Library handling decoding of several popular sound file formats
Owners:            jwrdegoede
Branches:          F-7 F-8 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 6 Toshio Ernie Kuratomi 2007-10-29 13:24:42 EDT
cvs done.
Comment 7 Hans de Goede 2007-10-29 15:19:39 EDT
Imported and Build, closing.

p.s.

I'll ask rel-eng to tag this for F-8 inclusion so that we don't have to have
this in rpmfusion.
Comment 8 Hans de Goede 2007-10-29 15:20:04 EDT
p.s.

Chris, thanks for the review!
Comment 9 Christopher Stone 2007-11-04 18:32:15 EST
I think the doxygen stuff is fixed in doxygen-1.5.3.  You may want to test your
docs using doxygen-1.5.3 which is in CVS to see if they still differ between
arches.  It appears Than updated the spec and CVS with the new version, but
never built on on rawhide.

I also have a poker3d package that needs to be reviewed, hint hint ;-)
Comment 10 Hans de Goede 2008-04-18 05:25:16 EDT
I would like to request early branching for F-10 of SDL_sound

Package Change Request
======================
Package Name: SDL_sound
New Branches: F-9
Comment 11 Kevin Fenzi 2008-04-18 12:24:38 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.